Bug 6651 - koha-upgrade-to-3.4 fails when multiple instances are present
Summary: koha-upgrade-to-3.4 fails when multiple instances are present
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) major (vote)
Assignee: Robin Sheat
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-31 02:26 UTC by Robin Sheat
Modified: 2012-10-25 23:10 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 6651 - fix splitting of names when updating to 3.4 (989 bytes, patch)
2011-07-31 02:29 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 6651 - fix splitting of names when updating to 3.4 (1.02 KB, patch)
2011-07-31 23:16 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2011-07-31 02:26:03 UTC
It doesn't split the names correctly, causing all the instance names to get grouped together.
Comment 1 Robin Sheat 2011-07-31 02:29:22 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2011-07-31 23:16:34 UTC
Created attachment 4783 [details] [review]
Bug 6651 - fix splitting of names when updating to 3.4

This affects only koha package installations that have multiple
instances running. After this patch, it's worth running the upgrade
again to ensure that everything happened correctly the first time.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 3 Chris Cormack 2011-09-12 22:30:17 UTC
Changes for packages only, has been tested in production at catalyst
Comment 4 Chris Nighswonger 2011-10-26 18:02:35 UTC
The fix for this bug was published in the 3.4.5 release. If you were the reporter of this bug, please take time to verify the fix and update the status of this bug report accordingly. If the bug is fixed to your satisfaction, please close this report.